%global srcname Cython

Name:           python3-Cython
Version:        0.23.5
Release:        1%{?dist}
Summary:        A language for writing Python 3 extension modules

# Tools/site_scons/site_tools/pyext.py is MIT
License:        ASL 2.0 and MIT
URL:            http://www.cython.org
Source:         http://www.cython.org/release/Cython-%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-devel
# For tests
BuildRequires:  libtool
BuildRequires:  python%{python3_pkgversion}-coverage
BuildRequires:  python%{python3_pkgversion}-numpy

%description
This is a development version of Pyrex, a language
for writing Python 3 extension modules.

For more info, see:

    Doc/About.html for a description of the language
    INSTALL.txt    for installation instructions
    USAGE.txt      for usage instructions
    Demos          for usage examples

%package -n python%{python3_pkgversion}-Cython
Summary:        A language for writing Python %{python3_version} extension modules

%description -n python%{python3_pkgversion}-Cython
This is a development version of Pyrex, a language
for writing Python %{python3_version} extension modules.

For more info, see:

    Doc/About.html for a description of the language
    INSTALL.txt    for installation instructions
    USAGE.txt      for usage instructions
    Demos          for usage examples

%prep
%setup -q -n %{srcname}-%{version}
# Fix lineendings
# https://github.com/cython/cython/pull/503
sed -i -e 's/\r//g' ./Demos/embed/Makefile.unix
sed -i -e 's/\r/\n/g' ./Demos/callback/{README.txt,cheesefinder.h} Demos/embed/Makefile.msc.static Doc/{About.html,index.html,primes.c}  Tools/cython.st
# Strip shbangs
sed -i -i '1{/^#!/d}' cython.py Cython/Debugger/{Cygdb,libpython}.py Cython/Build/Cythonize.py


%build
%py3_build


%install
%py3_install
mv %{buildroot}%{_bindir}/cython %{buildroot}%{_bindir}/cython%{python3_version}
mv %{buildroot}%{_bindir}/cythonize %{buildroot}%{_bindir}/cythonize%{python3_version}
mv %{buildroot}%{_bindir}/cygdb %{buildroot}%{_bindir}/cygdb%{python3_version}
rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests


%check
%{__python3} runtests.py -vv


%files -n python%{python3_pkgversion}-Cython
%license COPYING.txt LICENSE.txt
%doc README.txt ToDo.txt USAGE.txt Demos Doc Tools
%{_bindir}/cython%{python3_version}
%{_bindir}/cythonize%{python3_version}
%{_bindir}/cygdb%{python3_version}
%{python3_sitearch}/Cython*.egg-info/
%{python3_sitearch}/Cython/
%{python3_sitearch}/cython.py
%{python3_sitearch}/pyximport/
%{python3_sitearch}/__pycache__/*


%changelog
* Mon Mar 28 2016 Orion Poplawski - 0.23.5-1
- Update to 0.23.5
- Macro usage cleanup
- Fix license tag
- Fix line endings
- Remove unneeded shbangs

* Thu Mar 3 2016 Orion Poplawski - 0.23.4-2
- Fixup files

* Mon Jan 11 2016 Orion Poplawski - 0.23.4-1
- Initial EPEL7 package
